
const complotDB = require('../database/ComplotDB.js');

class InformeMoi{
    constructor(client){
        this.client = client;
        this.channels = this.client.channels.cache;
        this.sources = ['QAnon', 'IImondE', 'Réinfo Covid', 'FranceSoir', 'Madiavenir', 'LesMoutonsRebelles', 'une amie qui travaille au gouvernement', 'un poste Facebook', 'un twittos', 'Kim Glow', 'l\'AFP' ];
        this.sentences= [
            '<actor> <want> <action> pour <reason> !',
            'Selon <source>, <actor> <want> <action> afin de <reason>.',
            'Grâce à <source>, je sais que <actor> <want> <action> pour <reason>.',
            'On dit que <actor> <want> <action>, tout ça pour <reason>...',
            '<actor> <want> <action> afin de <reason>, ça fait réfléchir...',
            'Vous verrez que <actor> va <action> pour <reason>, vous l\'aurez lu ici en premier...',
            '🚨ALERTE INFO🚨 :\n <actor> <want> <action> pour <reason> \n (Source : <source>)',
            '<actor> <want> <action> rien que pour <reason>.....'
        ];
    }

    getRandomComplot(){
        const actor = complotDB.getRandomActor();
        const action = complotDB.getRandomAction();
        const reason = complotDB.getRandomReason();
        const source = this.sources[Math.floor(Math.random()*this.sources.length)];
        const want = actor.startsWith("Les ") ? "veulent" : "veut";
        const sentence = this.sentences[Math.floor(Math.random()*this.sentences.length)];

        return sentence.replace('<actor>', actor).replace('<want>', want).replace('<reason>', reason).replace('<source>', source).replace('<action>', action);
    }

    parse(message){
        if(this.shouldRespond(message)){
            message.reply(this.getRandomComplot());
        }
    }

    shouldRespond(message){    
        return message.content.toLowerCase().includes("informe moi");
    }
}

module.exports = InformeMoi;